1.2

1.2

get /v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys

Description

Get api key list

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathusage_plan_id
required
Usage Plan ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
Name
Example : api-key-name
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKApiKeyListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/apis/{api_id}/usage-plans/{usage_plan_id}/api-keys

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 200

{
    "api_keys": [
        {
            "created_at": "2026-02-11T06:40:17.550Z",
            "description": "description",
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "key": "key",
            "name": "api-key-name"
        }
    ],
    "count": 20
}